Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class FolderPathResolver

    java.lang.Object

      |

      +--oracle.ifs.beans.FolderPathResolver

All Implemented Interfaces:
  java.lang.Cloneable

public final class FolderPathResolver
extends java.lang.Object
implements java.lang.Cloneable

The FolderPathResolver class is used to lookup PublicObjects in a Folder hierarchy via a file-system style folder path.

Field Summary
`static java.lang.String` | `CURRENT_DIRECTORY_TOKEN` The "current directory" token.
`static java.lang.String` | `FOLDER_DELIMITER` The folder path delimiter.
`static char` | `MATCH_ALL` The character used as the wildcard to match any (0 or more) characters.
`static char` | `MATCH_ONE` The character used as the wildcard to match any single character.
`static java.lang.String` | `UP_DIRECTORY_TOKEN` The "change directory UP one level" token.

Constructor Summary
`FolderPathResolver(LibrarySession session)` default constructor.

Method Summary
`static boolean` | `containsWildcard(java.lang.String s)` Checks whether folder path contains any wildcards.
`PublicObject` | `findPublicObjectByPath(java.lang.String path)` Returns the PublicObject for which the path specifies.
`java.lang.String` | `getAbsolutePath(java.lang.String relativePath)` Gets the absolute path from a realtive path
`Folder` | `getCurrentDirectory()` Get the current directory in effect.
`java.lang.String` | `getCurrentPath()` Get the current file path in effect.
`static char[]` | `getIllegalPathCharacters()` Get the illegal path characters.
`static char[]` | `getLegalPathDelimiters()` Get the legal path delimiters.
`Folder` | `getTopDirectory()` Get the top directory in effect.
`java.lang.String` | `getTopPath()` Get the top file path in effect.
`void` | `setCurrentDirectory(Folder folder)` Sets the current path to the specified Folder's path
`void` | `setHomeFolder()` Change current folder to a home folder for the current user.
`void` | `setHomeFolder(DirectoryUser user)` Set current folder to the home folder of a specified directory user
`void` | `setHomeFolder(java.lang.String username)` Change current folder to a home folder for a specified user.
`void` | `setHomeFolder(java.lang.String username, java.lang.String anonymousUsername, boolean robust)` Change current folder to a home folder for a specified user.
`void` | `setRelativePath(java.lang.String path)` Change current folder to relative path
`void` | `setRootFolder()` Change current folder to the Root Folder

Field Detail

### UP_DIRECTORY_TOKEN

    public static final java.lang.String UP_DIRECTORY_TOKEN

  The "change directory UP one level" token.

### CURRENT_DIRECTORY_TOKEN

    public static final java.lang.String CURRENT_DIRECTORY_TOKEN

  The "current directory" token.

### FOLDER_DELIMITER

    public static final java.lang.String FOLDER_DELIMITER

  The folder path delimiter.

### MATCH_ALL

    public static final char MATCH_ALL

  The character used as the wildcard to match any (0 or more) characters.

### MATCH_ONE

    public static final char MATCH_ONE

  The character used as the wildcard to match any single character.

Constructor Detail

### FolderPathResolver

    public FolderPathResolver(LibrarySession session)
                       throws IfsException

  default constructor.
  Parameters:
    `LibrarySession` - the session
  Throws:
    `IfsException` - if operation fails.

Method Detail

### getIllegalPathCharacters

    public static char[] getIllegalPathCharacters()

  Get the illegal path characters.
  Returns:
    an array of the illegal path characters

### getLegalPathDelimiters

    public static char[] getLegalPathDelimiters()

  Get the legal path delimiters.
  Returns:
    an array of the legal path delimiters

### getCurrentPath

    public java.lang.String getCurrentPath()
                                    throws IfsException

  Get the current file path in effect.
  Returns:
    the current file path
  Throws:
    `IfsException` - if operation fails.

### getTopPath

    public java.lang.String getTopPath()
                                throws IfsException

  Get the top file path in effect.
  Returns:
    the top file path
  Throws:
    `IfsException` - if operation fails.

### getCurrentDirectory

    public Folder getCurrentDirectory()
                               throws IfsException

  Get the current directory in effect.
  Returns:
    the current directory Folder object
  Throws:
    `IfsException` - if operation fails.

### getTopDirectory

    public Folder getTopDirectory()
                           throws IfsException

  Get the top directory in effect.
  Returns:
    the top directory Folder object
  Throws:
    `IfsException` - if operation fails.

### setRootFolder

    public void setRootFolder()
                       throws IfsException

  Change current folder to the Root Folder
  Throws:
    `IfsException` - if operation fails.

### setHomeFolder

    public void setHomeFolder()
                       throws IfsException

  Change current folder to a home folder for the current user.
  Throws:
    `IfsException` - if operation fails.

### setHomeFolder

    public void setHomeFolder(java.lang.String username)
                       throws IfsException

  Change current folder to a home folder for a specified user.
  Throws:
    `IfsException` - if operation fails.

### setHomeFolder

    public void setHomeFolder(DirectoryUser user)
                       throws IfsException

  Set current folder to the home folder of a specified directory user
  Throws:
    `IfsException` - if operation fails.

### setHomeFolder

    public void setHomeFolder(java.lang.String username,
                              java.lang.String anonymousUsername,
                              boolean robust)
                       throws IfsException

  Change current folder to a home folder for a specified user. if robust then: 1. the user's home folder, provided that there's a reachable path to it and the user isn't anonymous. 2. if none, set to the Folder referenced by the ValueDefault IFS.REPOS.InitialAnonymousFolder 3. If none, set to the anonymousUsername user's home folder 4. if none, set to the root folder
  Throws:
    `IfsException` - if operation fails.

### setCurrentDirectory

    public void setCurrentDirectory(Folder folder)
                             throws IfsException

  Sets the current path to the specified Folder's path
  Throws:
    `IfsException` - if operation fails.

### getAbsolutePath

    public java.lang.String getAbsolutePath(java.lang.String relativePath)
                                     throws IfsException

  Gets the absolute path from a realtive path
  Parameters:
    `relativePath` - can be absolute

### setRelativePath

    public void setRelativePath(java.lang.String path)
                         throws IfsException

  Change current folder to relative path
  Throws:
    `IfsException` - if operation fails.

### findPublicObjectByPath

    public PublicObject findPublicObjectByPath(java.lang.String path)
                                        throws IfsException

  Returns the PublicObject for which the path specifies.
  Returns:
    the PublicObject for which the path specifies.
  Throws:
    `IfsException` - if operation fails.

### containsWildcard

    public static boolean containsWildcard(java.lang.String s)
                                    throws IfsException

  Checks whether folder path contains any wildcards.
  Returns:
    TRUE if any wildcards are found

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD